dri3: Fix typo in version check

Graphics / Mesa 3D Graphics Library / Mesa - Daniel Stone [collabora.com] - 20 March 2018 16:38 EDT

The have-new-DRI3 codepaths would never actually properly trigger, since there was a typo in configure.ac which broke the version check. This went unnoticed but for an error in config.log if you looked closely enough.

###

diff --git a/configure.ac b/configure.ac
index d1c8bb82da..5074275211 100644
--- a/configure.ac
+++ b/configure.ac
@@ -1852,7 +1852,7 @@ if test x"$enable_dri3" = xyes; then

dri3_modules="x11-xcb xcb >= $XCB_REQUIRED xcb-dri3 xcb-xfixes xcb-present xcb-sync xshmfence >= $XSHMFENCE_REQUIRED"
PKG_CHECK_MODULES([XCB_DRI3], [$dri3_modules])
- dri3_modifier_modules="xcb-dri3 >= $XCBDRI3_MODIFIERS_REQUIRED xcb-present >= $XCBPRESENT_MODIFIERS_REQUIRES"
+ dri3_modifier_modules="xcb-dri3 >= $XCBDRI3_MODIFIERS_REQUIRED xcb-present >= $XCBPRESENT_MODIFIERS_REQUIRED"
PKG_CHECK_MODULES([XCB_DRI3_MODIFIERS], [$dri3_modifier_modules], [have_dri3_modifiers=yes], [have_dri3_modifiers=no])

if test "x$have_dri3_modifiers" == xyes; then

9f3509665d dri3: Fix typo in version check
configure.ac | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)

Upstream: cgit.freedesktop.org


  • Share